<?php
namespace common\helpers;

class StringHelper
{
    /**
     * implode("','") 用于生成数据库查询 IN 语句
     * @param array $array
     * @return int|string
     */
    public static function buildInSql($array)
    {
        if (!empty($array)) {
            $array = array_map('addslashes', $array);
            return "'" . implode("','", (array)$array) . "'";
        } else {
            return 0;
        }
    }
}